Package magically gone (qutebrowser)

bertalanp99

New Member


Messages: 5

#1
Hello everyone!

I have run into a strange little problem today. I have previously been using www/qutebrowser on my computer. I used it just yesterday. When I came home today and booted my system, it was magically gone. Perhaps I am just retarded and uninstalled it, so I tried installing, but for some reason I cannot find the package any more. It is there on FreshPorts, still.

Code:
➜ doas pkg install qutebrowser
Password:
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
pkg: No packages available to install matching 'qutebrowser' have been found in
the repositories
I have tried # pkg update, even with the force option. No dice.

Thanks for your help in advance!
 

SirDice

Administrator
Staff member
Administrator
Moderator

Thanks: 6,774
Messages: 28,526

#2
Perhaps I am just retarded and uninstalled it
Packages being installed, deleted or updated is recorded in /var/log/messages.

Code:
Jan  5 17:44:17 molly pkg[40242]: vim-console upgraded: 8.1.0555 -> 8.1.0676
Jan  5 17:44:17 molly pkg[40242]: unrar upgraded: 5.60,6 -> 5.61,6
Jan  5 17:44:27 molly pkg[40242]: python36 upgraded: 3.6.7 -> 3.6.8
Jan  5 17:44:28 molly pkg[40242]: libxml2 upgraded: 2.9.7 -> 2.9.8
Jan  5 17:44:31 molly pkg[40242]: curl upgraded: 7.62.0 -> 7.63.0
{...}
Jan  8 22:27:11 molly pkg[93316]: php72-7.2.13 deinstalled
Jan  8 22:27:18 molly pkg[94727]: libXpm-3.5.12_2 deinstalled
I had nothing to do with it! ;)
 
OP
OP
bertalanp99

bertalanp99

New Member


Messages: 5

#3
Packages being installed, deleted or updated is recorded in /var/log/messages.
Ah, thank you, good to know!

Apparently I did deinstall the package... Ahem. I am still confused as to why I cannot install it anymore?

Code:
➜ grep qutebrowser /var/log/messages
Jan  8 20:16:50 watermelon pkg[71159]: qutebrowser-1.4.2 deinstalled
---

I had nothing to do with it! ;)
Good one Sir :D
 
OP
OP
bertalanp99

bertalanp99

New Member


Messages: 5

#7
www/qutebrowser has a dependence on www/py-qt5-webengine, which is marked as broken since november. So our beloved qutebrowser has gone missing with the 2019Q1 branch.

We actually have to wait until the true culprit www/qt5-webengine gets updated. Its current version in ports is not compatible with the updated py-qt5-webengine.
Is it possible to install a previous version? I tried pkg install qutebrowser-1.4.2 for example, but it says no packages have been found in the repositories. I suppose only the most recent versions are there?

You might find a cached package file for it in /var/cache/pkg
I have /var/cache/pkg/qutebrowser-1.4.2-6730dd2dd9.txz there, but how am I supposed to install it? I couldn't find relevant info in pkg-install(8).
 
Top